be.fgov.ehealth.ehbox.consultation.protocol.v3

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.ehbox.consultation.protocol.v3.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.ehbox.consultation.protocol.v3 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.ehbox.consultation.protocol.v3

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AcknowledgmentsStatus` | `createAcknowledgmentsStatus()` Create an instance of `AcknowledgmentsStatus`
    `ConsultationAnnexType` | `createConsultationAnnexType()` Create an instance of `ConsultationAnnexType`
    `ConsultationContentType` | `createConsultationContentType()` Create an instance of `ConsultationContentType`
    `ConsultationDocumentType` | `createConsultationDocumentType()` Create an instance of `ConsultationDocumentType`
    `ConsultationMessageType` | `createConsultationMessageType()` Create an instance of `ConsultationMessageType`
    `ContentContextType` | `createContentContextType()` Create an instance of `ContentContextType`
    `DeleteMessageRequest` | `createDeleteMessageRequest()` Create an instance of `DeleteMessageRequest`
    `DeleteMessageResponse` | `createDeleteMessageResponse()` Create an instance of `DeleteMessageResponse`
    `DeleteOoORequest` | `createDeleteOoORequest()` Create an instance of `DeleteOoORequest`
    `DeleteOoOResponse` | `createDeleteOoOResponse()` Create an instance of `DeleteOoOResponse`
    `DestinationContextType` | `createDestinationContextType()` Create an instance of `DestinationContextType`
    `GetAllEhboxesMessagesListRequest` | `createGetAllEhboxesMessagesListRequest()` Create an instance of `GetAllEhboxesMessagesListRequest`
    `JAXBElement<GetMessageListResponseType>` | `createGetAllEhboxesMessagesListResponse(GetMessageListResponseType value)` Create an instance of `JAXBElement``<``GetMessageListResponseType``>`
    `GetBoxInfoRequest` | `createGetBoxInfoRequest()` Create an instance of `GetBoxInfoRequest`
    `GetBoxInfoResponse` | `createGetBoxInfoResponse()` Create an instance of `GetBoxInfoResponse`
    `JAXBElement<MessageRequestType>` | `createGetFullMessageRequest(MessageRequestType value)` Create an instance of `JAXBElement``<``MessageRequestType``>`
    `GetFullMessageResponse` | `createGetFullMessageResponse()` Create an instance of `GetFullMessageResponse`
    `JAXBElement<MessageRequestType>` | `createGetHistoryRequest(MessageRequestType value)` Create an instance of `JAXBElement``<``MessageRequestType``>`
    `GetHistoryResponse` | `createGetHistoryResponse()` Create an instance of `GetHistoryResponse`
    `GetMessageAcknowledgmentsStatusRequest` | `createGetMessageAcknowledgmentsStatusRequest()` Create an instance of `GetMessageAcknowledgmentsStatusRequest`
    `GetMessageAcknowledgmentsStatusResponse` | `createGetMessageAcknowledgmentsStatusResponse()` Create an instance of `GetMessageAcknowledgmentsStatusResponse`
    `GetMessageListResponseType` | `createGetMessageListResponseType()` Create an instance of `GetMessageListResponseType`
    `GetMessagesListRequest` | `createGetMessagesListRequest()` Create an instance of `GetMessagesListRequest`
    `JAXBElement<GetMessageListResponseType>` | `createGetMessagesListResponse(GetMessageListResponseType value)` Create an instance of `JAXBElement``<``GetMessageListResponseType``>`
    `GetOoOListRequest` | `createGetOoOListRequest()` Create an instance of `GetOoOListRequest`
    `GetOoOListResponse` | `createGetOoOListResponse()` Create an instance of `GetOoOListResponse`
    `InsertOoORequest` | `createInsertOoORequest()` Create an instance of `InsertOoORequest`
    `InsertOoOResponse` | `createInsertOoOResponse()` Create an instance of `InsertOoOResponse`
    `Message` | `createMessage()` Create an instance of `Message`
    `MessageRequestType` | `createMessageRequestType()` Create an instance of `MessageRequestType`
    `MoveMessageRequest` | `createMoveMessageRequest()` Create an instance of `MoveMessageRequest`
    `MoveMessageResponse` | `createMoveMessageResponse()` Create an instance of `MoveMessageResponse`
    `OoO` | `createOoO()` Create an instance of `OoO`
    `Row` | `createRow()` Create an instance of `Row`
    `SubstituteType` | `createSubstituteType()` Create an instance of `SubstituteType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.ehbox.consultation.protocol.v3

  - ### Method Detail

    - #### createGetBoxInfoRequest

          public GetBoxInfoRequest createGetBoxInfoRequest()

      Create an instance of `GetBoxInfoRequest`

    - #### createGetMessagesListRequest

          public GetMessagesListRequest createGetMessagesListRequest()

      Create an instance of `GetMessagesListRequest`

    - #### createGetAllEhboxesMessagesListRequest

          public GetAllEhboxesMessagesListRequest createGetAllEhboxesMessagesListRequest()

      Create an instance of `GetAllEhboxesMessagesListRequest`

    - #### createMessageRequestType

          public MessageRequestType createMessageRequestType()

      Create an instance of `MessageRequestType`

    - #### createMoveMessageRequest

          public MoveMessageRequest createMoveMessageRequest()

      Create an instance of `MoveMessageRequest`

    - #### createDeleteMessageRequest

          public DeleteMessageRequest createDeleteMessageRequest()

      Create an instance of `DeleteMessageRequest`

    - #### createGetMessageAcknowledgmentsStatusRequest

          public GetMessageAcknowledgmentsStatusRequest createGetMessageAcknowledgmentsStatusRequest()

      Create an instance of `GetMessageAcknowledgmentsStatusRequest`

    - #### createInsertOoORequest

          public InsertOoORequest createInsertOoORequest()

      Create an instance of `InsertOoORequest`

    - #### createDeleteOoORequest

          public DeleteOoORequest createDeleteOoORequest()

      Create an instance of `DeleteOoORequest`

    - #### createGetOoOListRequest

          public GetOoOListRequest createGetOoOListRequest()

      Create an instance of `GetOoOListRequest`

    - #### createGetBoxInfoResponse

          public GetBoxInfoResponse createGetBoxInfoResponse()

      Create an instance of `GetBoxInfoResponse`

    - #### createGetMessageListResponseType

          public GetMessageListResponseType createGetMessageListResponseType()

      Create an instance of `GetMessageListResponseType`

    - #### createGetFullMessageResponse

          public GetFullMessageResponse createGetFullMessageResponse()

      Create an instance of `GetFullMessageResponse`

    - #### createConsultationMessageType

          public ConsultationMessageType createConsultationMessageType()

      Create an instance of `ConsultationMessageType`

    - #### createMoveMessageResponse

          public MoveMessageResponse createMoveMessageResponse()

      Create an instance of `MoveMessageResponse`

    - #### createDeleteMessageResponse

          public DeleteMessageResponse createDeleteMessageResponse()

      Create an instance of `DeleteMessageResponse`

    - #### createGetHistoryResponse

          public GetHistoryResponse createGetHistoryResponse()

      Create an instance of `GetHistoryResponse`

    - #### createGetMessageAcknowledgmentsStatusResponse

          public GetMessageAcknowledgmentsStatusResponse createGetMessageAcknowledgmentsStatusResponse()

      Create an instance of `GetMessageAcknowledgmentsStatusResponse`

    - #### createAcknowledgmentsStatus

          public AcknowledgmentsStatus createAcknowledgmentsStatus()

      Create an instance of `AcknowledgmentsStatus`

    - #### createInsertOoOResponse

          public InsertOoOResponse createInsertOoOResponse()

      Create an instance of `InsertOoOResponse`

    - #### createSubstituteType

          public SubstituteType createSubstituteType()

      Create an instance of `SubstituteType`

    - #### createDeleteOoOResponse

          public DeleteOoOResponse createDeleteOoOResponse()

      Create an instance of `DeleteOoOResponse`

    - #### createGetOoOListResponse

          public GetOoOListResponse createGetOoOListResponse()

      Create an instance of `GetOoOListResponse`

    - #### createOoO

          public OoO createOoO()

      Create an instance of `OoO`

    - #### createDestinationContextType

          public DestinationContextType createDestinationContextType()

      Create an instance of `DestinationContextType`

    - #### createConsultationContentType

          public ConsultationContentType createConsultationContentType()

      Create an instance of `ConsultationContentType`

    - #### createContentContextType

          public ContentContextType createContentContextType()

      Create an instance of `ContentContextType`

    - #### createConsultationAnnexType

          public ConsultationAnnexType createConsultationAnnexType()

      Create an instance of `ConsultationAnnexType`

    - #### createConsultationDocumentType

          public ConsultationDocumentType createConsultationDocumentType()

      Create an instance of `ConsultationDocumentType`

    - #### createRow

          public Row createRow()

      Create an instance of `Row`

    - #### createMessage

          public Message createMessage()

      Create an instance of `Message`

    - #### createGetFullMessageRequest

          public JAXBElement<MessageRequestType> createGetFullMessageRequest(MessageRequestType value)

      Create an instance of `JAXBElement``<``MessageRequestType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``MessageRequestType``>`

    - #### createGetHistoryRequest

          public JAXBElement<MessageRequestType> createGetHistoryRequest(MessageRequestType value)

      Create an instance of `JAXBElement``<``MessageRequestType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``MessageRequestType``>`

    - #### createGetMessagesListResponse

          public JAXBElement<GetMessageListResponseType> createGetMessagesListResponse(GetMessageListResponseType value)

      Create an instance of `JAXBElement``<``GetMessageListResponseType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``GetMessageListResponseType``>`

    - #### createGetAllEhboxesMessagesListResponse

          public JAXBElement<GetMessageListResponseType> createGetAllEhboxesMessagesListResponse(GetMessageListResponseType value)

      Create an instance of `JAXBElement``<``GetMessageListResponseType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``GetMessageListResponseType``>`

Connector Packaging PERSLOGOPEDIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.